---
title: "Counts the store's products by status."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › product

`GET /v1/stores/{store}/products/stats`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `product:read`

## Path parameters

- `store` (`catalogStats.path.store`; string, required) — The store's id.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/stats' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/stats';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Counts the store's products by status.

#### Example

```json
{
  "products": 0,
  "sales": 0,
  "rating": {
    "count": 0,
    "average": 0
  }
}
```

- `products` (`catalogStats.response.200.products`; number, required)
- `sales` (`catalogStats.response.200.sales`; number, required)
- `rating` (`catalogStats.response.200.rating`; object, required)
  - `count` (`catalogStats.response.200.rating.count`; number, required)
  - `average` (`catalogStats.response.200.rating.average`; any of, required)
    - any of: `number`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`catalogStats.response.default.type`; string, required)
  - format `uri`
- `title` (`catalogStats.response.default.title`; string, required)
- `status` (`catalogStats.response.default.status`; integer, required)
- `detail` (`catalogStats.response.default.detail`; string, required)
- `code` (`catalogStats.response.default.code`; string, optional)
- `context` (`catalogStats.response.default.context`; object, optional)
- `reached_core` (`catalogStats.response.default.reached_core`; boolean, optional)
- `core_answer` (`catalogStats.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/catalog-stats/index.md
